libzypp 17.38.15

zypp::syscontent Namespace Reference

## Classes
class | Reader
| Retrieve ResObject data serialized by Writer. More...
class | Writer
| Collect and serialize a set of ResObject. More...

## Functions
std::ostream & | operator<< (std::ostream &str, const Reader &obj)
| relates: Reader Stream output
std::ostream & | operator<< (std::ostream &str, const Writer &obj)
| relates: Writer Stream output

## Function Documentation

## ◆ operator<<() [1/2]

std::ostream & zypp::syscontent::operator<< | ( | std::ostream & | str,
|  | const Reader & | obj )

relates: Reader Stream output

Definition at line 444 of file SysContent.cc.

## ◆ operator<<() [2/2]

std::ostream & zypp::syscontent::operator<< | ( | std::ostream & | str,
|  | const Writer & | obj )
| inline

relates: Writer Stream output

Definition at line 161 of file SysContent.h.